Bug 237903 - BUG: using smp_processor_id() in vprintk control path
BUG: using smp_processor_id() in vprintk control path
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Burke
Depends On:
  Show dependency treegraph
Reported: 2007-04-25 18:46 EDT by IBM Bug Proxy
Modified: 2008-02-27 14:57 EST (History)
0 users

See Also:
Fixed In Version: June 10, prior
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-14 15:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 33968 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-04-25 18:46:52 EDT
Problem description:
Found the following in dmesg:

BUG: using smp_processor_id() in preemptible [00000000] code: insmod/405
caller is vprintk+0x284/0x30e

Call Trace:
 [<ffffffff8026f7e5>] dump_trace+0xaa/0x404
 [<ffffffff8026fb7b>] show_trace+0x3c/0x5a
 [<ffffffff8026fbae>] dump_stack+0x15/0x17
 [<ffffffff80351714>] debug_smp_processor_id+0xe3/0xf1
 [<ffffffff80294315>] vprintk+0x284/0x30e
 [<ffffffff80294406>] printk+0x67/0x69
 [<ffffffff8801201c>] :uhci_hcd:uhci_hcd_init+0x1c/0x94
 [<ffffffff802aeec6>] sys_init_module+0xb0/0x21e
 [<ffffffff802611cf>] system_call+0xef/0x15c

| preempt count: 00000001 ]
| 1-level deep critical section nesting:
.. [<ffffffff803516c1>] .... debug_smp_processor_id+0x90/0xf1
.....[<ffffffff80294315>] ..   ( <= vprintk+0x284/0x30e) 

If this is a customer issue, please indicate the impact to the customer:
Not yet :)

Provide output from "uname -a", if possible:
Linux llm38.in.ibm.com 2.6.19-rt8 #1 SMP PREEMPT Sun Apr 15 17:11:13 IST 2007
x86_64 x86_64 x86_64 GNU/Linux

Hardware Environment
    Machine type (p650, x235, SF2, etc.): LS20
    Cpu type (Power4, Power5, IA-64, etc.): Dual Core AMD Opteron(tm) Processor 275

Is this reproducible? Yes
    If so, how long does it (did it) take to reproduce it? the bootlog has the
BUG reports
    Describe the steps: No steps needed

Is the system (not just the application) hung? No

This issue has been fixed in 2.6.20-rt8. Trying with
kernel-rt-2.6.21-0143.rc6rt0.x86_64.rpm to confirm.

I have verified that kernel kernel-rt-2.6.21-0143.rc6rt0.x86_64.rpm does not
have this BUG. the bug was initially reported on

Raising mirror request to track back porting the change from
kernel-rt-2.6.21-0143.rc6rt0.x86_64.rpm to kernel-rt-2.6.20-0119.rt8.x86_64.rpm
Comment 1 Tim Burke 2007-04-26 18:39:34 EDT
We are likely to soon be rebasing to 2.6.21.  So no need to knock ourselves out
with the backport.  For this reason, not currently assigning and intending to
close when we shift over to 21.
Comment 2 IBM Bug Proxy 2007-04-30 03:15:29 EDT
----- Additional Comments From ankigarg@in.ibm.com (prefers email at ankita@in.ibm.com)  2007-04-30 03:12 EDT -------
So, we will close this bug once the rebase to 2.6.21 is done! 
Comment 3 Tim Burke 2007-05-06 21:09:46 EDT
ok, just for book-keeping purposes, I'm setting this to NEEDINFO state, just to
mark that we will wait for your confirmation that its addressed in the .21
kernel and you'll close then.
Comment 4 IBM Bug Proxy 2007-05-14 04:00:32 EDT
----- Additional Comments From ankigarg@in.ibm.com (prefers email at ankita@in.ibm.com)  2007-05-14 03:58 EDT -------
Checked the dmesg from a 2.6.21 rt kernel and did not find this issue. This has
been fixed in this kernel and guess this bug can be closed now. 

Note You need to log in before you can comment on or make changes to this bug.